﻿
using System;
using System.Web;
using Esnek.BLL;
using Esnek.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Drawing;
using System.Drawing.Imaging;
using System.IO.Pipes;
using System.Net;
using System.Net.Sockets;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Json;

namespace Esnek.BLL.PartTemplates
{
    [PartTemplate(Name = "Genel İçerik", TemplateName = "GenericContent", SortNo = 100)]
    public partial class GenericContent : Esnek.BLL.Part
    {

        [TitledTextBox(Title = "Başlık :", SortNo = 100)]
        public string Title
        {
            get { return GetPropertyValue<string>("Title"); }
            set { SetPropertyValue<string>("Title", value); }
        }

        [TextEditor(Title = "Metin :", Height = "200px", SortNo = 200)]
        public string Text
        {
            get { return GetPropertyValue<string>("Text"); }
            set { SetPropertyValue<string>("Text", value); }
        }

        /*[CheckBox(Title = "Transparan Arkaplan :", SortNo = 300)]
        public bool TransparentBackground
        {
            get { return GetPropertyValue<bool>("TransparentBackground", true); }
            set { SetPropertyValue<bool>("TransparentBackground", value); }
        }*/
    }
}