﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SliderWithZones.ascx.cs" Inherits="Esnek.BLL.PartTemplates.SliderWithZones" %>

<% if (Request.QueryString["ajaxreq"] == null) { %><script type="text/javascript"><%} else {%><pre class="part-script" style="display:none"><%}%>

    $(function () {
   
        var partID = "#Part<%= ID %>";

        var _columns = <%= Columns %>;
        var _rows = <%= Rows %>;
        var autoSlideEnabled = <%= AutoSlideEnabled.ToString().ToLower() %>;
        var sliderInterval = <%= SliderInterval.ToString() %>;

        var part = $(partID);

        var source = part.find(".base");
        source.removeClass("base").addClass("base-source" + part.attr("id")).css("display", "none");
        $("body").append(source);

        part.data("reset", function(){
        
            var existing = part.find(".base");            
            var partbase;
            if(existing.size() > 0){
                existing.remove();
                partbase = $(".base-source" + part.attr("id")).clone();
            } 
            else partbase = $(".base-source" + part.attr("id")).clone(true);
           
            partbase.removeClass("base-source" + part.attr("id")).addClass("base").css("display", "block");
            part.append(partbase);
        });

        part.data("reset")();

        part.data("start", function(){

             part.find("*").each(function(){
                var overrideclass = $(this).data("overrideclass");
                if(overrideclass) $(this).addClass(overrideclass);
            });

            var settings = {rows:_rows, cols:_columns, autostart:autoSlideEnabled, sliderinterval:sliderInterval};
            if(part.find(".referanslar-slider").size() > 0) settings.onSeek = function(){$('html, body').animate({ scrollTop: part.offset().top - 100 }, 'slow');};
            part.EsnekSlider(settings);

        });

        part.data("start")();

 
    });

<% if(Request.QueryString["ajaxreq"] == null){%></script><%}else{ %></pre><%}%>

<asp:PlaceHolder ID="phlListWithZones" runat="server"></asp:PlaceHolder>
