﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="esnek_login" %>

<!DOCTYPE html>
<html lang="en">
<head>

    <asp:Literal runat="server" ID="ltPageTitle"></asp:Literal>
	
	<meta charset="utf-8">
	
	<!-- Global stylesheets -->
	<link href="/template/css/reset.css" rel="stylesheet" type="text/css">
	<link href="/template/css/common.css" rel="stylesheet" type="text/css">
	<link href="/template/css/form.css" rel="stylesheet" type="text/css">
	<link href="/template/css/standard.css" rel="stylesheet" type="text/css">
	<link href="/template/css/special-pages.css" rel="stylesheet" type="text/css">
	
    <script src="/template/js/html5.js" type="text/javascript"></script>
    <script type="text/javascript" src="/template/js/jquery-1.4.2.min.js"></script>

    <script type="text/javascript" src="/esn/js/old-browsers.js"></script>

	<script type="text/javascript">
	    $(document).ready(function () {
	        $(".user, .pass").keydown(function (event) {
	            if (event.keyCode == '13') {
	                event.preventDefault();
	                $("#LoginButton").trigger('click');
	            }
	        });
	        $(".recovery").keydown(function (event) {
	            if (event.keyCode == '13') {
	                event.preventDefault();
	                $("#ForgotPasswordButton").trigger('click');
	            }
	        });

	        $(".user").focus();

	    });	
	</script>

</head>

<!-- the 'special-page' class is only an identifier for scripts -->
<body class="special-page login-bg dark">
<!-- The template uses conditional comments to add wrappers div for ie8 and ie7 - just add .ie, .ie7 or .ie6 prefix to your css selectors when needed -->
<!--[if lt IE 9]><div class="ie"><![endif]-->
<!--[if lt IE 8]><div class="ie7"><![endif]-->
 <form id="form1" runat="server">
	<%--<section id="message">
		<div class="block-border"><div class="block-content no-title dark-bg">
			<p class="mini-infos">Üye değilseniz <a href="/register.aspx">kayıt</a> olabilirsiniz.<legend> <a style="margin-left:40px" href="/register.aspx" class="button"><strong>Kayıt Ol</strong></a></legend></p>
		</div></div>
	</section>--%>
	
	<section id="login-block">
		<div class="block-border"><div class="block-content">			
			<!--
			IE7 compatibility: if you want to remove the <h1>, 
			add style="zoom:1" to the above .block-content div
			-->
			<%--<h1></h1>--%>
			<div class="block-header">Yönetici Girişi</div>
				
            <div id="login-form" class="form with-margin" title="Yönetici Girişi">
                <p class="message error no-margin" runat="server" id="ErrorPanel" visible="false">
                    <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                </p>
               
                <p class="inline-small-label">
                    <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">
                        Email :
                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" CssClass="error_small" 
                            ControlToValidate="UserName" ValidationGroup="login-block">Kullanıcı adı gerekli</asp:RequiredFieldValidator>
                    </asp:Label>
                    <asp:TextBox CssClass="user full-width" ID="UserName" runat="server"></asp:TextBox>
                </p>
                 <p class="inline-small-label">
                    <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">
                        Şifre :
                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" CssClass="error_small"
                            ControlToValidate="Password" ValidationGroup="login-block">Şifre gerekli.</asp:RequiredFieldValidator>
                    </asp:Label>
                    <asp:TextBox CssClass="pass full-width" ID="Password" runat="server" TextMode="Password"></asp:TextBox>
                </p>
                <hr />
                <div style="text-align: right">
                    <button runat="server" type="submit" class="float-right" id="LoginButton">
                    Giriş
                    </button>
                </div>
            </div><br /><br /><br />			
		</div></div>
	</section>
	
	
	

</form>
<!--[if lt IE 8]></div><![endif]-->
<!--[if lt IE 9]></div><![endif]-->
</body>
</html>

