﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AdminPanel.ascx.cs" Inherits="AdminPanel" %>
<% Esnek.BLL.ViewMode viewMode = ((Esnek.BLL.Page)Page).UserProfile.ViewMode; bool isSuperUser = (Page as Esnek.BLL.Page).UserProfile.Roles.ContainsKey("Super User"); %>
      
<div id="admin_panel">
    <div id="admin_panel_top">    
        <asp:LoginView ID="lwSiteManagement" runat="server">    
        <LoggedInTemplate>
            <asp:LoginStatus ID="lsSiteManagement" runat="server" ToolTip="ÇIKIŞ" CssClass="with-tip logout"  LogoutImageUrl="/esn/images/icons/fugue/control-power.png" LogoutAction="Redirect" />
        </LoggedInTemplate>
        </asp:LoginView>

        <div class="handle-seperator left"></div>

        <a class="with-tip change-mode" title="Gelişmiş"><img src="/esn/images/icons/fugue/application-sidebar-expand.png" /></a>  
        <a class="with-tip view-published<%= viewMode == Esnek.BLL.ViewMode.Published ? " active" : "" %>" href="?view=Published"  title="Ziyaretçi Görünümü"><img src="/esn/images/icons/fugue/monitor.png" /></a>  
        <a class="with-tip view-zone<%= viewMode == Esnek.BLL.ViewMode.Zone ? " active" : "" %>" href="?view=Zone" title="Alan Yönetimi"><img src="/esn/images/icons/fugue/layout-hf-3-mix.png" /></a>  
        <a class="with-tip view-part<%= viewMode == Esnek.BLL.ViewMode.Part ? " active" : "" %>" href="?view=Part" title="Parça Yönetimi"><img src="/esn/images/icons/fugue/pencil.png" /></a>  
            
        <div class="handle-seperator"></div>
        <div id="admin_panel_to_right"><div class="admin_panel_handle"></div></div>
        <div id="admin_panel_to_left"><div class="admin_panel_handle"></div></div>
    </div>
    <div id="admin_panel_advanced" class="resizable">
        <div id="advanced_top"></div><div id="advanced_top_r"></div>
        <div id="advanced_inner">
            <% if (viewMode != Esnek.BLL.ViewMode.Published)
                { %>
            <div class="operations">
                <a class="with-tip publish" title="YAYIMLA" href="?action=pagePublish">
                    <img src="/esn/images/icons/fugue/globe-share.png" alt="YAYIMLA" /></a> 
                <a class="with-tip seperator unpublish" title="YAYIMDAN KALDIR" href="?action=pageUnpublish">
                        <img src="/esn/images/icons/fugue/hand.png" alt="YAYIMDAN KALDIR" /></a>

                <a class="with-tip seperator users" title="KULLANICI BİLGİLERİ" onclick="Esnek.EditUser('<%= (Page as Esnek.BLL.Page).UserProfile.ID %>');">
                <img src="/esn/images/icons/fugue/users.png" alt="KULLANICI BİLGİLERİ" /></a>

                <a class="with-tip btn-trash" title="ÇÖP KUTUSU">
                    <img src="/esn/images/icons/trash.png" alt="ÇÖP KUTUSU" /></a>
            </div>
            <% if (viewMode == Esnek.BLL.ViewMode.Zone || viewMode == Esnek.BLL.ViewMode.Part)
                { %>
            <div class="operations">

                <% if (viewMode == Esnek.BLL.ViewMode.Zone)
                { %>

                <a class="with-tip convert" title="RESME DÖNÜŞTÜR"><img src="/esn/images/icons/fugue/image--arrow.png" /></a>
                             

                <a class="with-tip seperator topart" target="_blank" title="PARÇA OLUŞTUR">
                    <img src="/esn/images/icons/fugue/block.png" />
                </a>

                <%
            } %>               
            </div>
            <%}
            } %>
            <div id="navigation_panel">
                <div class="treeview">
                    <ul>
                        <li class="open"><span style="float: left; margin-top: 2px" class="checkbox unchecked root">
                        </span>
                            <asp:DropDownList ID="ddlSites" CssClass="ddl-sites" runat="server">
                            </asp:DropDownList>
                            <ul>
                                <MAK:TreeView runat="server" CurrentPageID='<%$ Code : Page.ID %>'>
                                </MAK:TreeView>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>                                       
        </div>
        <div id="advanced_bottom">            
            <select class="select-bulkoperations">
                <option value="0" selected="selected">Seçilenleri :</option>
                <option value="publish">&nbsp;&nbsp;-&nbsp;Yayımla</option>
                <option value="unpublish">&nbsp;&nbsp;-&nbsp;Yayımdan Kaldır</option>
                <option value="delete">&nbsp;&nbsp;-&nbsp;Sil</option>
            </select>            
        </div>
        <div id="advanced_bottom_r"></div>
    </div>
</div>
<div class="esn-dlg mini source" style="display:none">
<div class="wtl"></div>
<div class="wtf"></div>
<div class="wtr"></div>
<div class="wlt"></div>
<div class="wrt"></div>
<div class="wlf"></div>
<div class="wrf"></div>
<div class="wbl"></div>
<div class="wbf"><div class="dlg-buttons"></div></div>
<div class="wbr"></div>
<div class="dlg-content"></div>
</div>