/*! Copyright (c) 2014 Esnek Yazilim (http://esnekyazilim.com)
*/

(function ($) {

    $.fn.EsnekForm = function (options) {

        /*var settings = $.extend({
            
        }, options);*/

        this.each(function () {

            var part = $(this);

            var items = part.find(".field-item");

            items.each(function () {

                var item = $(this);
                var itemTitle = item.find(".item-title");
                var itemInput = item.find(".item-input");
                var itemTitleRect = itemTitle.get(0).getBoundingClientRect();
                var itemInputRect = itemInput.get(0).getBoundingClientRect();

                itemTitle.css({ zIndex: 0 });
                itemInput.css({ zIndex: 1 });

                if (itemTitleRect.right > itemInputRect.left && itemTitleRect.bottom > itemInputRect.top && itemTitleRect.left < itemInputRect.right && itemTitleRect.top < itemInputRect.bottom) {

                    var itemRect = this.getBoundingClientRect();

                    makeFixed(itemTitle, itemInput, itemRect, itemTitleRect, itemInputRect);

                    var activeState = item.siblings(".field-item-active");

                    if (activeState.size() > 0) {

                        //activeState.css({ position: "absolute", visibility: "hidden" });

                        //$("body").append(activeState);

                        //activeState.css({ display: "block" });

                        //var aitemInput = activeState.find(".item-input");
                        //var aitemInputRect = aitemInput.get(0).getBoundingClientRect();
                        //var aitemRect = activeState.get(0).getBoundingClientRect();
                        //aitemInput.css({ position: "absolute", top: aitemInputRect.top - aitemRect.top, left: aitemInputRect.left - aitemRect.left, margin: 0 });
                        //activeState.find(".item-title").remove();
                        activeState.find(".item-title").css({ visibility: "hidden" });
                        //activeState.css({ display: "none", position: "relative", visibility: "visible" });
                        //activeState.insertAfter(item);

                        item.find(".input-control").attr("readonly", "readonly");

                        item.find("input").bind("focus", function () { item.css("display", "none"); activeState.css("display", "block"); activeState.find("input").focus(); });
                        activeState.find("input").bind("focusout", function () {
                            activeState.css("display", "none");
                            item.css("display", "block");
                            var input = itemInput.find(".input-control");
                            input.val(activeState.find(".input-control").val());
                            if ($.trim(input.val()) == '' && input.get(0) != document.activeElement) {
                                itemTitle.css("visibility", "visible");
                            } else itemTitle.css("visibility", "hidden");
                        });

                    } else {
                        makeHintTitle(itemTitle, itemInput, itemRect, itemTitleRect, itemInputRect);
                    }

                    var input = itemInput.find(".input-control");
                    if ($.trim(input.val()) == '' && input.get(0) != document.activeElement) {
                        itemTitle.css("visibility", "visible");
                    } else itemTitle.css("visibility", "hidden");
                }

            });


            function makeFixed(itemTitle, itemInput, itemRect, itemTitleRect, itemInputRect) {

                //itemTitle.css({ position: "absolute", top: itemTitleRect.top - itemRect.top, left: itemTitleRect.left - itemRect.left, margin: 0, zIndex:0 });
                //itemInput.css({ position: "absolute", top: itemInputRect.top - itemRect.top, left: itemInputRect.left - itemRect.left, margin: 0, zIndex: 1 });
            }

            function makeHintTitle(itemTitle, itemInput, itemRect, itemTitleRect, itemInputRect) {

                makeFixed(itemTitle, itemInput, itemRect, itemTitleRect, itemInputRect);

                var input = itemInput.find(".input-control");

                input.bind("focus", function () { itemTitle.css("visibility", "hidden"); });
                input.bind("focusout", function () {
                    if ($.trim(input.val()) == '' && input.get(0) != document.activeElement) {
                        itemTitle.css("visibility", "visible");
                    }
                });

            }

        });
    };
} (jQuery));
