﻿
window.esnMouseOut = false;

$(document).ready(function () {

    if ($("form").is(".preview")) {

        $(window).mouseenter(function () {

            if (window.esnMouseOut == false) return;

            window.esnMouseOut = false;

            $.get("/edit/GenericHandler.ashx?Request=GetVersionID", function (data) {

                if (data && data != window.esnSiteVersionID) {
                    window.location.reload();
                }

            });

        });

        $(window).mouseleave(function () {

            window.esnMouseOut = true;

        });

        $(".operations .btn-import").click(function () {

            $.get("/edit/GenericHandler.ashx?Request=ImportPage", function (data) {
                if (data) {
                    window.location.href = data;
                }
            });
        });

        var isinprocess = false;

        $(".operations .tohtml").click(function () {

            if (isinprocess) return;

            var selectedPages = $("#admin_panel .treeview").find(".checkbox.checked").siblings(".OneColumn, .Homepage, .Redirect").siblings(".treeview_page");

            if (selectedPages.size() == 0) {

                alert("Lütfen en az bir sayfa seçiniz.");
                return;
            }

            var exitfunc = false;

            var pages = [];

            selectedPages.each(function () {

                var page = $(this);

                var leafstatus = (page.parent().find("ul li a.treeview_page").size() > 0) ? "o" : "c";

                pages.push(page.attr("href") + "$" + leafstatus);

                if (page.siblings(".published").size() == 0) {
                    alert("Bu işlem için seçtiğiniz sayfaların yayımlanmış olması gerekiyor. Lütfen önce seçili sayfaları yayımlayınız.");
                    exitfunc = true;
                    return false;
                }

            });

            if (exitfunc) return;

            var postdata = "pages=" + pages.join();

            isinprocess = true;

            try {
                $.post("/ExportToHtmlHandler.ashx", postdata, function (data) {

                    isinprocess = false;

                    if (data) {
                        if (data == "ERROR") alert("HATA");
                        else
                            window.location.href = data;
                    }
                });
            } catch (ex) { isinprocess = false; }

        });

        $(".operations .toemail").click(function () {

            var ispublished = $('#admin_panel .treeview .treeview_page[id="Page{0}"]'.format(makID)).siblings(".status-icon.published").size() > 0;

            if (ispublished == 0) {

                alert("Bu işlem için sayfanın yayımlanmış olması gerekiyor. Lütfen önce bu sayfayı yayımlayınız.");
                return;
            }

            if ($("#invisiblecontainer").size() == 0) {
                $("head").append('<style id="invisiblecontainer">.invisiblecontainer{position:absolute; top:0; left:0; visibility:hidden}.invisiblecontainer *{visibility:hidden ! important}</style>');
            }

            var invisiblecontainer = $('<div class="invisiblecontainer"></div>');

            var emailcontent = $(".site").clone();

            invisiblecontainer.append(emailcontent);

            $("body").append(invisiblecontainer);

            var images = emailcontent.find("img");
            images.each(function () {

                images.attr("src", "http://" + window.location.host + images.attr("src"));

            });

            var elements = emailcontent.find(".part_content *").add(emailcontent);

            var fontfamilies = [];

            elements.each(function () {

                var element = $(this);

                var hastextcontent = false;

                element.contents().each(function () {

                    if (this.nodeType == 3 && this.nodeValue != '') {

                        hastextcontent = true;
                        return false;
                    }

                });

                if (!hastextcontent) return true;

                var fontfamily = element.css("font-family").split(",")[0];

                fontfamily = $.trim(fontfamily);

                if (fontfamily.split(" ").length == 1) fontfamily = fontfamily.replace(/'/g, '');

                if (fontfamilies.indexOf(fontfamily) < 0) {

                    fontfamilies.push(fontfamily);
                }

                element.css({
                    position: element.css("position"),
                    float: element.css("float"),
                    fontSize: element.css("font-size"),
                    fontFamily: fontfamily,
                    lineHeight: element.css("line-height"),
                    margin: 0,
                    padding: 0,
                    border: "none",
                    outline: "none"
                });

            });

            var websafefonts = ["Arial, Helvetica, sans-serif", "'Arial Black', Gadget, sans-serif", "'Comic Sans MS', cursive", "'Courier New', monospace", "Georgia, serif", "Impact, Charcoal, sans-serif", "'Lucida Console', Monaco, monospace", "'Lucida Sans Unicode', 'Lucida Grande', sans-serif", "'Palatino Linotype', 'Book Antiqua', Palatino, serif", "Tahoma, Geneva, sans-serif", "'Times New Roman', Times, serif", "'Trebuchet MS', sans-serif", "Verdana, Geneva, sans-serif", "'MS Sans Serif', Geneva, sans-serif", "'MS Serif', 'New York', serif"];

            function getWebSafeFonts() {

                var select = $('<select style="font-family:Arial; font-size:13px"></select>');
                $.each(websafefonts, function (ind, el) {

                    select.append('<option value="' + el + '">' + el.split(",")[0].replace(/'/g, '') + "</option>");

                });

                return select;

            }

            var overlay = $('<div class="dialog-overlay"></div>');
            overlay.css({ position: "absolute", top: 0, left: 0, width: $(document).width(), height: $(document).height(), zIndex: 30000, background: "#444444", opacity: 0.8 });
            $("body").append(overlay);
            var dialog = $('<div class="small-dialog" style="font-family:Arial; font-size:13px"></div>');
            dialog.css({ background: "#ffffff", position: "absolute", top: $(window).height() / 2, left: $(window).width() / 2, width: 300, height: 300, marginLeft: -160, marginTop: -160, zIndex: 30001, borderRadius: 8, padding: 20 });
            $("body").append(dialog);

            dialog.append('<p style="font-family:Arial; font-size:13px; font-weight:bold; padding:0 0 10px 5px">Font Eşleştir</p>');

            var mappingtable = $("<table></table>");
            dialog.append(mappingtable);

            $.each(fontfamilies, function (ind, el) {

                var newrow = $("<tr></tr>");
                var family = $('<td style="padding:5px; vertical-align:top" alt="' + el + '">' + el.replace(/'/g, '') + "</td>");
                mappingtable.append(newrow);
                newrow.append(family);
                var mappings = getWebSafeFonts();
                mappings.val(mappings.find('option[value^="' + el + '"]').val());

                var mfamily = $('<td style="padding:5px; vertical-align:top"></td>');
                newrow.append(mfamily);
                mfamily.append(mappings);

            });


            var btnarea = $('<div style="text-align:center"></div>');
            var okbtn = $('<a class="fancy" style="float:none; margin-top:20px">Tamam</a>');

            dialog.append(btnarea);
            btnarea.append(okbtn);

            okbtn.click(function () {

                var fontfamily;
                var mfamily;

                elements.each(function () {

                    fontfamily = $(this).css("font-family");
                    mfamily = mappingtable.find('td[alt="' + fontfamily + '"]').next().find("select").val();
                    $(this).css("font-family", mfamily);

                });

                var zones = emailcontent.find(".zone");

                zones.each(function () {

                    var zone = $(this);
                    var backgroundImage = zone.css("background-image");

                    var backgroundPositionY = zone.css("background-position").split(" ")[1];
                    var backgroundPositionX = zone.css("background-position").split(" ")[0];
                    var backgroundRepeat = zone.css("background-repeat");


                    if (backgroundImage && backgroundImage != "none") {
                        var img = $('<img />');
                        img.attr("src", "");
                        img.attr("src", backgroundImage.replace('url(', '').replace(')', '').replace(/"/g, ''));


                        if (backgroundPositionY != "100%" || backgroundRepeat == "repeat-y")
                            img.css({ position: "absolute", top: backgroundPositionY, left: backgroundPositionX });
                        else
                            img.css({ position: "absolute", bottom: 0, left: backgroundPositionX });

                        if (backgroundRepeat == "repeat-y") {

                            var imgH;

                            setTimeout(function () {
                                imgH = img.height();
                                var totalheight = imgH;
                                var zH = zone.height();
                                while (totalheight < zH) {
                                    img = img.clone();
                                    img.css({ top: totalheight });
                                    zone.append(img);
                                    totalheight += imgH;
                                    if (totalheight > 10000) break;
                                }
                                zone.css("overflow", "hidden");
                            }, 2000);
                        }

                        zone.append(img);
                    }

                    zone.css({
                        position: zone.css("position"),
                        float: zone.css("float"),
                        backgroundImage: "none"
                    });
                });

                var parts = emailcontent.find(".part");
                parts.css({ width: "100%" });

                dialog.remove();
                overlay.remove();

                alert("Açılacak pencerede CTRL-A ve CTRL-C komutlarıyla e-mail içeriğini kopyalayınız ve ardından e-mail düzenleyicide CTRL-V komutuyla yapıştırınız.\n\n ÖNEMLİ! ÖNEMLİ! ÖNEMLİ!\n\nGönderdiğiniz e-mailde resimlerin görünebilmesi için bu sayfayı silmemeniz ya da yayımdan kaldırmamanız gerekiyor!");

                var emailwindow = window.open("", "", "width={0}, height={1},scrollbars=1".format(emailcontent.width(), emailcontent.height()));
                //var emailwindow = window.open("", "", "width={0},scrollbars=1".format(emailcontent.width()));

                setTimeout(function () {

                    emailcontent.append('<p style="position:absolute; top:0; left:0">&nbsp;</p>');

                    $(emailwindow.document.body).append(emailcontent);

                    $(emailwindow.document.body).css("margin", "0");

                    var theinterval;
                    var ctr = 0;

                    function expandWindow() {
                        if (emailwindow.document.body.scrollWidth > emailwindow.document.body.clientWidth) {
                            emailwindow.resizeBy(1, 0);
                            ctr++;
                            if (ctr > 30) clearInterval(theinterval);
                        } else clearInterval(theinterval);
                    }

                    $(emailwindow.document).ready(function () {

                        if (emailwindow.document.body.scrollHeight > emailwindow.document.body.clientHeight) {

                            theinterval = setInterval(expandWindow, 50);
                        }
                    });

                    invisiblecontainer.remove();

                }, 1000);

            });
        });
    }

    var errormessage = $.trim($(".form-block.result-message").text());

    if (errormessage != "") {
        window.scrollTo(0, 0);
        esnScrollToTop = true;
    }

});
